//------------------------------------------------------------------------------
// <auto-generated>
//      Generated by NativeAssist version 1.0.0.0 with Split Generator.
//      Do not modify this file unless necessary.
// </auto-generated>
//------------------------------------------------------------------------------

namespace NativeFx.Interop;

using System;
using GTA.Native;
using GTA;
using GTA.Math;

public static partial class Natives 
{
public static class Brain {
/// <summary>
/// BRAIN::ADD_SCRIPT_TO_RANDOM_PED(&quot;pb_prostitute&quot;, ${s_f_y_hooker_01}, 100, 0);<br /><br />- Nacorpio<br /><br />-----<br /><br />Hardcoded to not work in Multiplayer.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Brain<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x4EE5367468A65CCC<br />
/// </para>
/// </remarks>
public static void AddScriptToRandomPed(string name, uint model, float p2, float p3){
Function.Call((Hash)0x4EE5367468A65CCCuL, name, model, p2, p3);
}

/// <summary>
/// Registers a script for any object with a specific model hash.<br /><br />BRAIN::REGISTER_OBJECT_SCRIPT_BRAIN(&quot;ob_telescope&quot;, ${prop_telescope_01}, 100, 4.0, -1, 9);<br /><br />- Nacorpio
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Brain<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x0BE84C318BA6EC22<br />
/// </para>
/// </remarks>
public static void RegisterObjectScriptBrain(string scriptName, uint modelHash, int p2, float activationRange, int p4, int p5){
Function.Call((Hash)0x0BE84C318BA6EC22uL, scriptName, modelHash, p2, activationRange, p4, p5);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Brain<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xCCBA154209823057<br />
/// </para>
/// </remarks>
public static bool IsObjectWithinBrainActivationRange(int /* Object */ @object){
return Function.Call<bool>((Hash)0xCCBA154209823057uL, @object);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Brain<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x3CDC7136613284BD<br />
/// </para>
/// </remarks>
public static void RegisterWorldPointScriptBrain(string scriptName, float activationRange, int p2){
Function.Call((Hash)0x3CDC7136613284BDuL, scriptName, activationRange, p2);
}

/// <summary>
/// Gets whether the world point the calling script is registered to is within desired range of the player.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Brain<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC5042CC6F5E3D450<br />
/// </para>
/// </remarks>
public static bool IsWorldPointWithinBrainActivationRange(){
return Function.Call<bool>((Hash)0xC5042CC6F5E3D450uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Brain<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x67AA4D73F0CFA86B<br />
/// </para>
/// </remarks>
public static void EnableScriptBrainSet(int brainSet){
Function.Call((Hash)0x67AA4D73F0CFA86BuL, brainSet);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Brain<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x14D8518E9760F08F<br />
/// </para>
/// </remarks>
public static void DisableScriptBrainSet(int brainSet){
Function.Call((Hash)0x14D8518E9760F08FuL, brainSet);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Brain<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x0B40ED49D7D6FF84<br />
/// </para>
/// </remarks>
public static void ReactivateAllWorldBrainsThatAreWaitingTillOutOfRange(){
Function.Call((Hash)0x0B40ED49D7D6FF84uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Brain<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x4D953DF78EBF8158<br />
/// </para>
/// </remarks>
public static void ReactivateAllObjectBrainsThatAreWaitingTillOutOfRange(){
Function.Call((Hash)0x4D953DF78EBF8158uL);
}

/// <summary>
/// Possible values:<br /><br />act_cinema<br />am_mp_carwash_launch<br />am_mp_carwash_control<br />am_mp_property_ext<br />chop<br />fairgroundHub<br />launcher_BasejumpHeli<br />launcher_BasejumpPack<br />launcher_CarWash<br />launcher_golf<br />launcher_Hunting_Ambient<br />launcher_MrsPhilips<br />launcher_OffroadRacing<br />launcher_pilotschool<br />launcher_Racing<br />launcher_rampage<br />launcher_rampage<br />launcher_range<br />launcher_stunts<br />launcher_stunts<br />launcher_tennis<br />launcher_Tonya<br />launcher_Triathlon<br />launcher_Yoga<br />ob_mp_bed_low<br />ob_mp_bed_med
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Brain<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x6D6840CEE8845831<br />
/// </para>
/// </remarks>
public static void ReactivateNamedWorldBrainsWaitingTillOutOfRange(string scriptName){
Function.Call((Hash)0x6D6840CEE8845831uL, scriptName);
}

/// <summary>
/// Looks like a cousin of above function _6D6840CEE8845831 as it was found among them. Must be similar<br /><br />Here are possible values of argument - <br /><br />&quot;ob_tv&quot;<br />&quot;launcher_Darts&quot;
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Brain<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x6E91B04E08773030<br />
/// </para>
/// </remarks>
public static void ReactivateNamedObjectBrainsWaitingTillOutOfRange(string scriptName){
Function.Call((Hash)0x6E91B04E08773030uL, scriptName);
}

}}
